> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Application



## OpenAPI

````yaml patch /v1/application/{id}
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/application/{id}:
    patch:
      tags:
        - Application Endpoints
      summary: Update an Application
      operationId: ApplicationsController_updateAppNoAppId
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditApplicationDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationReturnDto'
        '403':
          description: Not authorized to access this resource
        '404':
          description: Resource not found!
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    EditApplicationDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the application
        email:
          type: string
          description: The email address associated with this app
        description:
          type: string
          description: The description of the application
    ApplicationReturnDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the application
        name:
          type: string
          description: The name of the application
        email:
          type: string
          description: The email address associated with this app
        description:
          type: string
          description: The description of the application
        rootUserId:
          type: string
          description: The Root Identity Id associated with the application
      required:
        - id
        - name
        - email
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````